#include <cmath>
#include <cstdio>
#include <vector>
#include <iostream>
#include <algorithm>
using namespace std;
int a[20],b[20],c[20];

int main() {
     int a,b,c;
    cin>>a>>b>>c;
    int k=b;
    int bb=0,bc=0,ba=0;
    while(k>0)
    {
        k=k/10;
        bb++;
    }
    k=c;
    while(k>0)
    {
        k=k/10;
        bc++;
    }
    k=a;
    while(k>0)
    {
        k=k/10;
        ba++;
    }
    long long a1=a*round(pow(10,bb+bc))+b*round(pow(10,bc))+c;
    long long a2=a*round(pow(10,bb+bc))+c*round(pow(10,bb))+b;
    long long a3=b*round(pow(10,ba+bc))+a*round(pow(10,bc))+c;
    long long a4=b*round(pow(10,ba+bc))+c*round(pow(10,ba))+a;
    long long a5=c*round(pow(10,bb+ba))+a*round(pow(10,bb))+b;
    long long a6=c*round(pow(10,bb+ba))+b*round(pow(10,ba))+a;
    long long m=max(a1,max(a2,max(a3,max(a4,max(a5,a6)))));
    cout<<m<<endl;
    return 0;
}